Status: Resolved Priority: Should have
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: If no role is authenticated, an "Anonymous" role should be returned.
Description

This can be done in the security context, by returning a fixed role, when no other role is authenticated.

Associated revisions
Revision b1fd4209 - 2010-07-05 16:16 - Andreas Förthner

[+FEATURE] FLOW3 (Security): Implemented the "Everybody" role that is always applied in the security context and configured in the policy. Resolves
#8544.

History
#1 - 2010-07-05 15:57 - Andreas Förthner

After discussing this we came to the following conclustion:

    -  You will always have a role called "Everybody", no matter, if you are authenticated or not.
    -  This role will be set in the policy by the policy service. So it is not overwriteable.

#2 - 2010-07-05 16:20 - Andreas Förthner
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4761.

#3 - 2010-07-15 13:35 - Karsten Dambekalns
- Target version set to 1.0 alpha 10
